# Class QueueItemTimeoutError

#### Hierarchy

- Error
  - QueueItemTimeoutError

- Defined in work/deeplinks/deeplinks/imports/cyber/QueueManager/QueueItemTimeoutError.ts:1

#####
Index

### Constructors

constructor

### Properties

cause?
message
name
stack?
prepareStackTrace?
stackTraceLimit

### Methods

captureStackTrace

##
Constructors

### constructor

- new QueueItemTimeoutError(timeoutMs): QueueItemTimeoutError

- #### Parameters

  - timeoutMs: number

  #### Returns QueueItemTimeoutError

  Overrides Error.constructor

  - Defined in work/deeplinks/deeplinks/imports/cyber/QueueManager/QueueItemTimeoutError.ts:2

##
Properties

### `Optional` cause

cause?: unknown

Inherited from Error.cause

- Defined in .npm/_npx/dafcb7cdaad6ed61/node_modules/typescript/lib/lib.es2022.error.d.ts:24

### message

message: string

Inherited from Error.message

- Defined in .npm/_npx/dafcb7cdaad6ed61/node_modules/typescript/lib/lib.es5.d.ts:1077

### name

name: string

Inherited from Error.name

- Defined in .npm/_npx/dafcb7cdaad6ed61/node_modules/typescript/lib/lib.es5.d.ts:1076

### `Optional` stack

stack?: string

Inherited from Error.stack

- Defined in .npm/_npx/dafcb7cdaad6ed61/node_modules/typescript/lib/lib.es5.d.ts:1078

### `Static` `Optional` prepareStackTrace

prepareStackTrace?: ((err: Error, stackTraces: CallSite[]) => any)

Optional override for formatting stack traces

#### See

https://v8.dev/docs/stack-trace-api#customizing-stack-traces

Inherited from Error.prepareStackTrace

- Defined in work/deeplinks/deeplinks/node_modules/@types/node/globals.d.ts:28

### `Static` stackTraceLimit

stackTraceLimit: number

Inherited from Error.stackTraceLimit

- Defined in work/deeplinks/deeplinks/node_modules/@types/node/globals.d.ts:30

##
Methods

### `Static` captureStackTrace

- captureStackTrace(targetObject, constructorOpt?): void

- Create .stack property on a target object

  #### Parameters

  - targetObject: object
  - `Optional` constructorOpt: Function

  #### Returns void

  Inherited from Error.captureStackTrace

  - Defined in work/deeplinks/deeplinks/node_modules/@types/node/globals.d.ts:21